- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_dup_utf8()

## Synopsis

    char *
    bson_iter_dup_utf8 (const bson_iter_t *iter, uint32_t *length);

## Parameters

- `iter`: A bson_iter_t.
- `length`: An optional location for the length of the UTF-8 encoded string.

## Description

This function is similar to bson_iter_utf8() except that it calls bson_strndup() on the result.

## Returns

A newly allocated string that should be freed with bson_free().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.